# frozen_string_literal: true

require_relative "lib/sample_hello_world/version"

Gem::Specification.new do |spec|
  spec.name          = "sample_hello_world"
  spec.version       = SampleHelloWorld::VERSION
  spec.authors       = ["Celine"]
  spec.email         = ["celine@siliconjungles.com"]

  spec.summary       = "Demo."
  spec.description   = "Demp."
  spec.homepage      = "https://github.com/orgs/SiliconJungles/dashboard"
  spec.license       = "MIT"
  spec.required_ruby_version = ">= 2.4.0"

  # spec.metadata["allowed_push_host"] = "http://mygemserver.com/api/v1/rubygems_d06f79d09b040eb2646caf9a7ee2586dac2fe86d80f532d3"

  spec.metadata["homepage_uri"] = spec.homepage
  spec.metadata["source_code_uri"] = "https://github.com/orgs/SiliconJungles/dashboard"

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{\A(?:test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{\Aexe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  # Uncomment to register a new dependency of your gem
  # spec.add_dependency "example-gem", "~> 1.0"

  # For more information and examples about making a new gem, checkout our
  # guide at: https://bundler.io/guides/creating_gem.html
end
